Summary: Simple video4linux radio card programs
Name: fmtools
Version: 1.0.1
Release: 3%{?dist}
License: GPL
Source0: http://www.stanford.edu/~blp/fmtools/%name-%version.tar.gz
Source1: tkradio.tcl
Source2: tkradio-mute.tcl
Patch0: make.patch
Group: Applications/Multimedia
URL: http://www.stanford.edu/~blp/fmtools/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This is a pair of hopefully useful control programs for video4linux
(v4l) radio card drivers.  The focus is on control, so you may find these
programs a bit unfriendly.  Users are encouraged to investigate the source
and create wrappers or new programs based on this design.

fm      - a simple tuner
fmscan  - a simple band scanner

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .make

%build
make %{_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall "DESTDIR=%{buildroot}/%{_prefix}" 
install -m 755 %{SOURCE1} %{buildroot}%{_bindir}
install -m 755 %{SOURCE2} %{buildroot}%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README CHANGES COPYING
# Executables and man pages
%{_bindir}/fm
%{_bindir}/tkradio*.tcl
%{_bindir}/fmscan
%{_datadir}/man/man1/fm.1.gz
%{_datadir}/man/man1/fmscan.1.gz

%changelog

* Sat Feb 17 2007 Paulo Roma <roma@lcg.ufrj.br> 1.0.1-3
- Updated to 1.0.1
- Rebuilt for Fedora 6.

* Tue May 30 2006 Paulo Roma <roma@lcg.ufrj.br> 1.0.1-2
- Removed dependency from video4linux.

* Fri Mar 31 2006 Paulo Roma <roma@lcg.ufrj.br> 1.0.1-1
- Fedora 4 build of fmtools.
